> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1webhookscallsreceivetwilio inbound



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/webhooks/calls/receive/twilio-inbound
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/calls/receive/twilio-inbound:
    post:
      tags:
        - Calls
      operationId: calls.receiveTwilioInbound
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                To:
                  type: string
                From:
                  type: string
                CallerCountry:
                  type: string
                CallSid:
                  type: string
                  description: '''callSid'' => $request->get(''CallSid''),'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Country not allowed
                required:
                  - error
        '404':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        example: Inbound number does not have an agent assigned
                    required:
                      - error
                  - type: object
                    properties:
                      error:
                        type: string
                        example: Team not found
                    required:
                      - error
        '500':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        example: Failed to create call
                    required:
                      - error
                  - type: object
                    properties:
                      error:
                        type: string
                        example: Failed to create contact
                    required:
                      - error
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````